Loading...
Searching...
No Matches
juce::OSCTimeTag Class Reference

## Detailed Description

An OSC time tag.

OSC time tags are part of OSCBundle objects.

In accordance with the OSC 1.0 specification, the internal timestamp stored in OSCTimeTag uses the same binary format as NTP timestamps. The representation is by a 64 bit fixed point number. The first 32 bits specify the number of seconds since midnight on January 1, 1900, and the last 32 bits specify fractional parts of a second to a precision of about 200 picoseconds.

The time tag value consisting of 63 zero bits followed by a one in the least significant bit is a special case meaning "immediately".

For a more user-friendly time format, convert OSCTimeTag to a juce::Time object using toTime().

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCTimeTag.h

## Public Member Functions

| OSCTimeTag () noexcept
| Default constructor.
| OSCTimeTag (uint64 rawTimeTag) noexcept
| Constructs an OSCTimeTag object from a raw binary OSC time tag.
| OSCTimeTag (Time time) noexcept
| Constructs an OSCTimeTag object from a juce::Time object.
Time | toTime () const noexcept
| Returns a juce::Time object representing the same time as the OSCTimeTag.
bool | isImmediately () const noexcept
| Returns true if the OSCTimeTag object has the special value representing "immediately".
uint64 | getRawTimeTag () const noexcept
| Returns the raw binary OSC time tag representation.

## Static Public Attributes

static const OSCTimeTag | immediately
| The special value representing "immediately".

## Constructors and Destructors

## OSCTimeTag() [1/3]

juce::OSCTimeTag::OSCTimeTag | ( |  | ) |

noexcept

Default constructor.

Constructs an OSCTimeTag object with the special value representing "immediately".

Referenced by OSCTimeTag(), and OSCTimeTag().

## OSCTimeTag() [2/3]

juce::OSCTimeTag::OSCTimeTag | ( | uint64 | rawTimeTag | ) |

noexcept

Constructs an OSCTimeTag object from a raw binary OSC time tag.

References OSCTimeTag().

## OSCTimeTag() [3/3]

juce::OSCTimeTag::OSCTimeTag | ( | Time | time | ) |

noexcept

Constructs an OSCTimeTag object from a juce::Time object.

References OSCTimeTag().

## Member Functions

## toTime()

Time juce::OSCTimeTag::toTime | ( |  | ) | const

noexcept

Returns a juce::Time object representing the same time as the OSCTimeTag.

If the OSCTimeTag has the special value representing "immediately", the resulting juce::Time object will represent an arbitrary point of time (but guaranteed to be in the past), since juce::Time does not have such a special value.

References toTime().

Referenced by toTime().

## isImmediately()

bool juce::OSCTimeTag::isImmediately | ( |  | ) | const

noexcept

Returns true if the OSCTimeTag object has the special value representing "immediately".

References isImmediately().

Referenced by isImmediately().

## getRawTimeTag()

uint64 juce::OSCTimeTag::getRawTimeTag | ( |  | ) | const

inline noexcept

Returns the raw binary OSC time tag representation.

References getRawTimeTag().

Referenced by getRawTimeTag().

## Member Data Documentation

## immediately

const OSCTimeTag juce::OSCTimeTag::immediately

static

The special value representing "immediately".

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited